Skip to main content
`Ctrl`+`K`

# TaoTermSumGetTermHessianMatrices

Get Hessian matrices set with `TaoTermSumSetTermHessianMatrices()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermSumGetTermHessianMatrices(TaoTerm term, PetscInt index, Mat *unmapped_H, Mat *unmapped_Hpre, Mat *mapped_H, Mat *mapped_Hpre)

Not collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERMSUM`

- index - the index for the term from `TaoTermSumSetTerm()` or `TaoTermSumAddTerm()`

## Output Parameters

- unmapped_H - (optional) unmapped Hessian matrix

- unmapped_Hpre - (optional) unmapped matrix for constructing the preconditioner for `unmapped_H`

- mapped_H - (optional) Hessian matrix

- mapped_Hpre - (optional) matrix for constructing the preconditioner for `mapped_H`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSUM`, `TaoTermComputeHessian()`, `TaoTermSumSetTermHessianMatrices()`

## Level

developer

## Location

src/tao/term/impls/sum/taotermsum.c

## Implementations

TaoTermSumGetTermHessianMatrices_Sum() in src/tao/term/impls/sum/taotermsum.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages